#
# spec file for package perl-Devel-PatchPerl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-PatchPerl
Version:        1.42
Release:        3.1
%define cpan_name Devel-PatchPerl
Summary:        Patch perl source a la Devel::PPPort's buildperl.pl
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-PatchPerl/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::pushd) >= 1.00
BuildRequires:  perl(Module::Pluggable)
Requires:       perl(File::pushd) >= 1.00
Requires:       perl(Module::Pluggable)
%{perl_requires}

%description
Devel::PatchPerl is a modularisation of the patching code contained in
Devel::PPPort's 'buildperl.pl'.

It does not build perls, it merely provides an interface to the source
patching functionality.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README tools

%changelog
* Thu May  5 2016 coolo@suse.com
- updated to 1.42
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Thu Dec 17 2015 coolo@suse.com
- updated to 1.40
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Sat Jul  4 2015 coolo@suse.com
- updated to 1.38
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Sun Apr 26 2015 coolo@suse.com
- updated to 1.34
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.32
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Wed Sep 17 2014 coolo@suse.com
- updated to 1.24
    Add COW speedup fix for v5.20.0
    http://perl5.git.perl.org/perl.git/commit/ce861ea79
    Look for gpatch if patch is not found
* Mon Feb 24 2014 coolo@suse.com
- updated to 1.18
  Update included hints to v5.19.9 level
* Mon Feb 24 2014 coolo@suse.com
- updated to 1.16
    add extra phony targets to help case insensitive file systems
    Configure should check same Berkeley DB header DB_File uses
* Mon Nov 25 2013 coolo@suse.com
- updated to 1.14
  RT#89635 Configure on 5.6 uses sort +N, which isn't supported by
  modern sort(1)
  The two instances of 'sort -n +1' in Configure on perl 5.6 need to be
  replaced with the portable equivalent used since perl 5.7.3:
  ($sort -n -k 2 2>/dev/null || $sort -n +1)
  This works on both old and new sorts.
  better gconvert detection
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.12
    Add GNU/Hurd hints file
    Only try to change perms if the hints file already exists
    Support Bitrig all the way back to at least v5.8.9
    Fix issues with Bitrig patch and version normalisation
    Remove Test::Compile from dzil configuration
* Sat Jul 27 2013 coolo@suse.com
- updated to 1.00
    Set PATCH_GET env var to 0 to stop patch doing VCS madness
    Fix issues with patching Configure under Solaris
    https://github.com/gugod/App-perlbrew/issues/355
* Tue Jul 16 2013 coolo@suse.com
- updated to 0.96
    Fix patch applying for v5.18.0
    Fixes a regmatch pointer 32-bit wraparound regression in v5.18.0
    Update Midnight BSD hints for 0.4-RELEASE
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.90, see Changes
* Mon Feb 13 2012 coolo@suse.com
- updated to 0.66
  - Added cygwin hints file
  - Added a plugin system
* Sun Dec 25 2011 coolo@suse.de
- updated to 0.62, see Changes
* Wed Apr 27 2011 coolo@opensuse.org
- initial package 0.30
  * created by cpanspec 1.78.04
